#!/bin/sh

protocol=gopher

cd /home
for user in *
do
 if [ -e "$user/.dillo/dpidrc" ]
 then
  sudo -u "$user" dpidc stop 2>/dev/null >/dev/null
  if ! grep -q proto.$protocol "$user/.dillo/dpidrc"
  then
   echo "proto.$protocol=$protocol/$protocol.filter.dpi" >> "$user/.dillo/dpidrc"
  fi
 else
  if [ -r "/usr/local/etc/dillo/dpidrc" ]
  then
   sudo -u "$user" mkdir -p "$user/.dillo"
   sudo -u "$user" cp /usr/local/etc/dillo/dpidrc "$user/.dillo/"
   echo "proto.$protocol=$protocol/$protocol.filter.dpi" >> "$user/.dillo/dpidrc"
   sudo -u "$user" dpidc stop 2>/dev/null >/dev/null
  else
   echo "Couldn't find default dpidrc file at /usr/local/etc/dillo/dpidrc. Dillo extension should be loaded before this one."
  fi
 fi
done
